> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Veo3.1-Fast 動画生成 Beta

> - Veo 3.1 Fast (veo-3.1-fast) モデルはテキストから動画、最初のフレーム画像から動画などのモードをサポートしています
- 非同期処理モード、返されたタスクIDを使用して[照会](/ja/api-manual/task-management/get-task-detail)してください
- 生成された動画リンクは24時間有効です。速やかに保存してください



## OpenAPI

````yaml ja/api-manual/video-series/veo3.1/veo3.1-fast-video-generate.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: veo3.1-fast インターフェース
  description: AIモデルを使用して動画生成タスクを作成し、テキストから動画、画像から動画などの生成モードをサポート
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 本番環境
security:
  - bearerAuth: []
tags:
  - name: 動画生成
    description: AI動画生成関連API
paths:
  /v1/videos/generations:
    post:
      tags:
        - 動画生成
      summary: veo3.1-fast インターフェース
      description: >-
        - Veo 3.1 Fast (veo-3.1-fast) モデルはテキストから動画、最初のフレーム画像から動画などのモードをサポートしています

        -
        非同期処理モード、返されたタスクIDを使用して[照会](/ja/api-manual/task-management/get-task-detail)してください

        - 生成された動画リンクは24時間有効です。速やかに保存してください
      operationId: createVideoGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoGenerationRequest'
            examples:
              text_to_video:
                summary: テキストから動画
                value:
                  model: veo3.1-fast-beta
                  prompt: A cat playing piano
      responses:
        '200':
          description: 動画生成タスクが正常に作成されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoGenerationResponse'
        '400':
          description: リクエストパラメータが不正です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未認証、トークンが無効または期限切れです
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: クォータ不足のため、チャージが必要です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: アクセスが拒否されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: 'Token does not have access to model: veo3.1-fast-beta'
                  type: invalid_request_error
        '429':
          description: レート制限を超えました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: サーバー内部エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    VideoGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: >-
            動画生成モデル名


            **後方互換性：** 以前に統合されたモデル名 `veo3.1-fast` は引き続き使用可能で、`veo3.1-fast-beta`
            に自動的にマッピングされます
          enum:
            - veo3.1-fast-beta
          default: veo3.1-fast-beta
          example: veo3.1-fast-beta
        prompt:
          type: string
          description: 生成する動画の内容を説明するプロンプト、2000トークンまで
          example: A cat playing piano
          maxLength: 2000
        aspect_ratio:
          type: string
          description: >-
            動画のアスペクト比。`auto` に設定した場合:
            画像から動画では入力画像の比率に基づいて自動選択、テキストから動画ではプロンプトの内容に基づいて自動選択
          enum:
            - auto
            - '16:9'
            - '9:16'
          default: auto
          example: auto
        image_urls:
          type: array
          description: >-
            画像から動画機能用の参照画像URLリスト


            **注意:**

            - 1回のリクエストでサポートされる入力画像数: `3` 枚（最初のフレーム動画生成は1枚、最初と最後のフレーム動画生成は2枚）

            - 画像サイズ: `10MB` 以下

            - サポートされるファイル形式: `.jpg`、`.jpeg`、`.png`、`.webp`

            - 画像URLはサーバーから直接閲覧可能であるか、アクセス時に直接ダウンロードが開始される必要があります（通常、これらのURLは
            `.png`、`.jpg` などの画像拡張子で終わります）
          items:
            type: string
            format: uri
          maxItems: 3
          example:
            - http://example.com/image1.jpg
        quality:
          type: string
          description: 動画の解像度、デフォルトは `720p`
          enum:
            - 720p
        generation_type:
          type: string
          description: |-
            動画生成モード、デフォルトは画像数に基づいて自動判定、手動選択を推奨。利用可能なモード:

            - `TEXT`: テキストから動画
            - `FIRST&LAST`: 最初と最後のフレームから動画、`1`〜`2` 枚の画像をサポート
            - `REFERENCE`: 参照画像から動画、最大 `3` 枚の画像をサポート

            **注意:**
            - 現在、参照画像から動画の `REFERENCE` モードは `16:9` アスペクト比のみサポートしています
          enum:
            - TEXT
            - FIRST&LAST
            - REFERENCE
        enhance_prompt:
          type: boolean
          description: プロンプトを自動的に英語に翻訳するかどうか。有効にすると、英語以外のプロンプトが自動的に英語に翻訳され、より良い生成結果が得られます
          default: true
          example: true
        callback_url:
          type: string
          description: >-
            タスク完了後の HTTPS コールバックアドレス


            **コールバックタイミング：**

            - タスクが完了、失敗、またはキャンセルされた時にトリガーされます

            - 課金確認完了後に送信されます


            **セキュリティ制限：**

            - HTTPS プロトコルのみサポート

            - 内部 IP アドレスへのコールバックは禁止（127.0.0.1、10.x.x.x、172.16-31.x.x、192.168.x.x
            など）

            - URL の長さは `2048` 文字以内


            **コールバックメカニズム：**

            - タイムアウト：`10` 秒

            - 失敗時最大 `3` 回リトライ（`1` 秒/`2` 秒/`4` 秒後にリトライ）

            - コールバックレスポンスボディの形式はタスククエリ API のレスポンス形式と一致

            - コールバックアドレスが 2xx ステータスコードを返した場合は成功とみなされ、その他のステータスコードはリトライをトリガーします
          format: uri
          example: https://your-domain.com/webhooks/video-task-completed
    VideoGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: タスク作成タイムスタンプ
          example: 1757169743
        id:
          type: string
          description: タスク ID
          example: task-unified-1757169743-7cvnl5zw
        model:
          type: string
          description: 使用された実際のモデル名
          example: veo3.1-fast-beta
        object:
          type: string
          enum:
            - video.generation.task
          description: 具体的なタスクタイプ
        progress:
          type: integer
          description: タスク進捗率（0-100）
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: タスクステータス
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/VideoTaskInfo'
          description: 動画タスクの詳細情報
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: タスク出力タイプ
          example: video
        usage:
          $ref: '#/components/schemas/VideoUsage'
          description: 使用量と課金情報
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: エラーコード識別子
            message:
              type: string
              description: エラーの説明
            type:
              type: string
              description: エラータイプ
    VideoTaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: タスクをキャンセルできるかどうか
          example: true
        estimated_time:
          type: integer
          description: 推定完了時間（秒）
          minimum: 0
          example: 180
        video_duration:
          type: integer
          description: 動画の長さ（秒）
          example: 8
    VideoUsage:
      type: object
      description: 使用量と課金情報
      properties:
        billing_rule:
          type: string
          description: 課金ルール
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: 推定消費クレジット
          minimum: 0
          example: 25.7
        user_group:
          type: string
          description: ユーザーグループカテゴリ
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##すべてのAPIにBearer Token認証が必要です##

        **APIキーの取得：**

        [APIキー管理ページ](https://evolink.ai/dashboard/keys)にアクセスしてAPIキーを取得してください

        **リクエストヘッダーに追加：**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````